Skip to main content
POST
/
organizations
/
{organization_id}
/
logo
/
upload-url
Generate logo upload URL
curl --request POST \
  --url https://preview.intermezzo.ai/organizations/{organization_id}/logo/upload-url \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "document_name": "<string>"
}
'
{
  "uploadUrl": "<string>",
  "documentId": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Get token from Auth0 and paste it here

Path Parameters

organization_id
required

Body

application/json
document_name
string
required
file_size_bytes
integer | null

Response

Successful Response

Response schema for presigned upload URL.

uploadUrl
string
required

Presigned URL for uploading the document

documentId
string
required

Document ID

expiresAt
string<date-time>
required

When the presigned URL expires